# -*- perl -*-
# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..6\n"; }
END {print "not ok 1\n" unless $loaded;}
use Set::Bit;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

my $N = 2;
sub Not { print "not " }
sub OK  { print "ok ", $N++, "\n" }

my $a = new Set::Bit 100;
$a->insert(4);
$a->print eq "4" or Not; OK;

my $b = new Set::Bit 50;
$b->insert(40);
$b->print eq "40" or Not; OK;

my $c = union $a $b;
$c->print eq "4, 40" or Not; OK;

$c->insert(10);
$c->remove(40);
$c->insert(20);
$c->print eq "4, 10, 20" or Not; OK;

$a->insert(11);
my $d = intersect $a $c;
$d->print eq "4" or Not; OK;

